Subject: Delta 560 12" Spotted!

From: [email-masked] (Explodey2)
Date: 31 Mar 1997 15:18:54 GMT

Have been reading (and adding to) posts over the last few months re: will
we ever actually saee the new Delta 560 12" planer. Yes, this Saturday , I
attended a Delta demo at Force Machinery in Union, NJ and saw the 560 12"
planer in real life. I thought it would never be out. It is the nicest
benchtop planer I have seen, very well thought out. I was told that Delta
has shipped them and that they are on the way to distributors. Will sell
suggested $450.They were taking orders. The 540 will continue to be sold
at $350. Might not be for everyone, but I wouldn't buy a benchtop without
seeing this first.

                                                 Steve